import {homeDir} from "./path.js";
import {readDir} from "./fs.js";

const eventBus = new Comment();

const NAVIGATE_EVENT = 'navigate';

let currentDir = await homeDir();

export const onNavigate = (callback) => eventBus.addEventListener(
    NAVIGATE_EVENT,
    () => callback(currentDir)
);
export const onceNavigate = (callback) => eventBus.addEventListener(
    NAVIGATE_EVENT,
    () => callback(currentDir),
    { once: true }
);
export const navigate = (toDir) => {
    currentDir = toDir;
    eventBus.dispatchEvent(new CustomEvent(NAVIGATE_EVENT))
}

const logDir = async () => console.log({
    currentDir,
    items: await readDir(currentDir)
});

onNavigate(logDir);